Bug 926996 - Can't locate Carp.pm in @INC
Summary: Can't locate Carp.pm in @INC
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: help2man
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Ralf Corsepius
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 924938
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-24 17:18 UTC by Antonio T. (sagitter)
Modified: 2013-03-25 17:43 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-03-25 16:03:08 UTC
Type: Bug


Attachments (Terms of Use)

Description Antonio T. (sagitter) 2013-03-24 17:18:29 UTC
Description of problem:
This error appears by executing help2man command. 

Version-Release number of selected component (if applicable):
help2man-1.41.1-2.fc19.noarch

  
Actual results:
...
+ help2man --version-string=5.0.3 -n 'Partitions a graph into a specified number of parts.' -N --output=gpmetis.1 --no-discard-stderr --help-option=-help /builddir/build/BUILDROOT/metis-5.0.3-8.fc20.i386/usr/bin/gpmetis
Can't locate Carp.pm in @INC (@INC contains: /usr/local/lib/perl5 /usr/local/share/perl5 /usr/lib/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib/perl5 /usr/share/perl5 .) at /usr/share/perl5/Tie/Hash.pm line 188.
BEGIN failed--compilation aborted at /usr/share/perl5/Tie/Hash.pm line 188.
Compilation failed in require at /usr/lib/perl5/POSIX.pm line 419.
Compilation failed in require at /usr/bin/help2man line 27.
BEGIN failed--compilation aborted at /usr/bin/help2man line 27.
RPM build errors:


Additional info:
http://koji.fedoraproject.org/koji/getfile?taskID=5166285&name=build.log

Comment 1 Antonio T. (sagitter) 2013-03-24 20:02:19 UTC
It seems me that is a missing BuildRequires package: perl-Carp

Comment 2 Ralf Corsepius 2013-03-25 02:45:24 UTC
(In reply to comment #1)
> It seems me that is a missing BuildRequires package: perl-Carp
No. /usr/bin/help2man does not require perl(Carp).

/usr/bin/help2man requires perl(Tie::Hash), which then requires perl(Carp).

Cf. your log above:
..
Can't locate Carp.pm in @INC ...
at /usr/share/perl5/Tie/Hash.pm line 188.
..

Apparently, there currently is a bug somewhere in underneath of rpm which generates incorrect deps.

Comment 3 Ralf Corsepius 2013-03-25 16:03:08 UTC
A work-around has been introduced to the rawhide perl package, which should remedy this issue.

Please verify if this issue persists.

Comment 4 Antonio T. (sagitter) 2013-03-25 17:43:04 UTC
(In reply to comment #3)
> Please verify if this issue persists.

It's okay now.
http://kojipkgs.fedoraproject.org//work/tasks/357/5170357/build.log


Note You need to log in before you can comment on or make changes to this bug.